package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ManagedSystemPcmPreference {
    private Metadata metadata;
    private String systemName;
    private MachineTypeModelSerialNumber machineTypeModelSerialNumber;
    private String longTermMonitorEnabled;
    private String aggregationEnabled;
    private String shortTermMonitorEnabled;
    private String computeLTMEnabled;
    private String associatedManagedSystem;

    public ManagedSystemPcmPreference() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public MachineTypeModelSerialNumber getMachineTypeModelSerialNumber() {
        return machineTypeModelSerialNumber;
    }

    public void setMachineTypeModelSerialNumber(MachineTypeModelSerialNumber machineTypeModelSerialNumber) {
        this.machineTypeModelSerialNumber = machineTypeModelSerialNumber;
    }

    public String getLongTermMonitorEnabled() {
        return longTermMonitorEnabled;
    }

    public void setLongTermMonitorEnabled(String longTermMonitorEnabled) {
        this.longTermMonitorEnabled = longTermMonitorEnabled;
    }

    public String getAggregationEnabled() {
        return aggregationEnabled;
    }

    public void setAggregationEnabled(String aggregationEnabled) {
        this.aggregationEnabled = aggregationEnabled;
    }

    public String getShortTermMonitorEnabled() {
        return shortTermMonitorEnabled;
    }

    public void setShortTermMonitorEnabled(String shortTermMonitorEnabled) {
        this.shortTermMonitorEnabled = shortTermMonitorEnabled;
    }

    public String getComputeLTMEnabled() {
        return computeLTMEnabled;
    }

    public void setComputeLTMEnabled(String computeLTMEnabled) {
        this.computeLTMEnabled = computeLTMEnabled;
    }

    public String getAssociatedManagedSystem() {
        return associatedManagedSystem;
    }

    public void setAssociatedManagedSystem(String associatedManagedSystem) {
        this.associatedManagedSystem = associatedManagedSystem;
    }

    @Override
    public String toString() {
        return "ManagedSystemPcmPreference [metadata=" + metadata + ", systemName=" + systemName
            + ", machineTypeModelSerialNumber=" + machineTypeModelSerialNumber + ", longTermMonitorEnabled="
            + longTermMonitorEnabled + ", aggregationEnabled=" + aggregationEnabled + ", shortTermMonitorEnabled="
            + shortTermMonitorEnabled + ", computeLTMEnabled=" + computeLTMEnabled + ", associatedManagedSystem="
            + associatedManagedSystem + "]";
    }
}
